Scala Compiler2.12.13 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  abstract class BCodeHelpers extends BCodeIdiomatic
  Definition Classes
    jvm
- BCAnnotGen
- BCClassGen
- BCForwardersGen
- BCInnerClassGen
- BCJGenSigGen
- BCPickles
- EnclosingMethodEntry
- InsnIterInsnList
- InsnIterMethodNode
- JAndroidBuilder
- JBeanInfoBuilder
- JCodeMethodN
- JCommonBuilder
- JMirrorBuilder
- LabelDefsFinder
- delambdafyInline
- isJavaEntryPoint

c

scala.tools.nsc.backend.jvm.BCodeHelpers

# JBeanInfoBuilder 

###

#### class JBeanInfoBuilder extends BCInnerClassGen

Source
  BCodeHelpers.scala

Linear Supertypes
BCInnerClassGen, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JBeanInfoBuilder
2. BCInnerClassGen
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new JBeanInfoBuilder()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from JBeanInfoBuilder to any2stringadd[JBeanInfoBuilder] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (JBeanInfoBuilder, B)
   Implicit
     This member is added by an implicit conversion from JBeanInfoBuilder to ArrowAssoc[JBeanInfoBuilder] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  def debugLevel: Int
   Definition Classes
     BCInnerClassGen
9.  final val emitLines: Boolean
   Definition Classes
     BCInnerClassGen
10.  final val emitSource: Boolean
    Definition Classes
      BCInnerClassGen
11.  final val emitVars: Boolean
    Definition Classes
      BCInnerClassGen
12.  def ensuring(cond: (JBeanInfoBuilder) ⇒ Boolean, msg: ⇒ Any): JBeanInfoBuilder
    Implicit
      This member is added by an implicit conversion from JBeanInfoBuilder to Ensuring[JBeanInfoBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (JBeanInfoBuilder) ⇒ Boolean): JBeanInfoBuilder
    Implicit
      This member is added by an implicit conversion from JBeanInfoBuilder to Ensuring[JBeanInfoBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): JBeanInfoBuilder
    Implicit
      This member is added by an implicit conversion from JBeanInfoBuilder to Ensuring[JBeanInfoBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): JBeanInfoBuilder
    Implicit
      This member is added by an implicit conversion from JBeanInfoBuilder to Ensuring[JBeanInfoBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from JBeanInfoBuilder to StringFormat[JBeanInfoBuilder] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  def genBeanInfoClass(cls: Global.Symbol, cunit: Global.CompilationUnit, fieldSymbols: List[Global.Symbol], methodSymbols: List[Global.Symbol]): ClassNode
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  final def internalName(sym: Global.Symbol): String

    The class internal name for a given class symbol.

    The class internal name for a given class symbol.

    Definition Classes
      BCInnerClassGen
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
33.  def →[B](y: B): (JBeanInfoBuilder, B)
    Implicit
      This member is added by an implicit conversion from JBeanInfoBuilder to ArrowAssoc[JBeanInfoBuilder] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from BCInnerClassGen

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from JBeanInfoBuilder to any2stringadd[JBeanInfoBuilder]

### Inherited by implicit conversion StringFormat from JBeanInfoBuilder to StringFormat[JBeanInfoBuilder]

### Inherited by implicit conversion Ensuring from JBeanInfoBuilder to Ensuring[JBeanInfoBuilder]

### Inherited by implicit conversion ArrowAssoc from JBeanInfoBuilder to ArrowAssoc[JBeanInfoBuilder]

### Ungrouped